﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Facebook.FacebookPostCMSModel>


@(
 Html.Grid(Model).Named("AllFacebookPost").Columns(columns =>
 {
     columns.Add(x => x.PostId)
         .Titled("PostID")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.PostId).Filterable(true);

     columns.Add(x => x.message)
         .Titled("Content")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.message).Filterable(true).SetWidth(500);


     columns.Add()
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.created_time.ToString("dd-MM-yyyy HH:mm")).Filterable(true);

     columns.Add(x => x.TotalLike)
       .Titled("TotalLike")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.TotalLike.ToString()).Filterable(true);

     columns.Add(x => x.TotalComment)
          .Titled("TotalComment")
          .Encoded(false)
          .Sanitized(false)
          .Sortable(true)
          .RenderValueAs(x => x.TotalComment.ToString()).Filterable(true);

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Detail</a>", Url.Action(MVC.Facebook.Detail(x.ID))));


 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper IsActiveRender(bool isActive)
{
    if (isActive)
    {
    <span>True</span>
    }
    else
    {
    <span>False</span>
    }
}